org.apache.mina.statemachine

## Class BreakException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.mina.statemachine.BreakException

- All Implemented Interfaces:
    Serializable

      public class BreakException
      extends RuntimeException

  The base exception of the exceptions thrown by the methods in the `StateControl` class. If you use any of the `StateControl` methods to change the execution of a `StateMachine` you must make sure that exceptions of this type aren't caught and swallowed by your code.
  Author:
    Apache MINA Project
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BreakException()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BreakException

          protected BreakException()

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.